class UsersController < ApplicationController
  before_filter :find_user, :except => [:new, :create]

  def new
  end
  
  def create
    @user = User.new(params[:user])
    
    if @user.save
      @current_user = @user
      session[:user] = @current_user.id
      flash[:notice] = 'Successful registration'
      redirect_to :controller=>"say", :action=>"hello"
    else
      flash[:notice] = 'User name already used'
      render :action=>'new'
    end
  end

  def edit
  end
  
  def update
    if @user.update_attributes(params[:user])
      flash[:notice]='Update successful'
      redirect_to :controller => 'say', :action =>'hello'
    else
      flash[:notice]='Could not update personal data'
      render :action => 'edit'
    end
  end

  def show
  end

  def forgotten
  end

  private
  def find_user
    @user = User.find(params[:id])
  end
end
